# Get all user tokens

> Management API · Your Profile

```http
GET https://app.mk.io/api/v1/user/tokens
```

Get all non-expired API tokens issued to the current user.

Requires authentication; no additional RBAC permissions required.

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Example request

```bash
curl -X GET "https://app.mk.io/api/v1/user/tokens" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — OK

- `kind` · string · **Required** — The kind of record.
- `value` · list of objects · **Required** — Token list.
  - Array items (object):
    - `kind` · string · Optional — The kind of record.
    - `metadata` · object · **Required** — Token metadata.
      - `JWT` · string · Optional — Generated token. We do not store this token, so you will not be able to see it again. Please copy it and keep it securely.
      - `id` · string · **Required** · _format: uuid_ — ID of token.
      - `type` · enum · **Required** — Token type.
        - Allowed values: `login`, `full-access`, `restricted`, `ephemeral`
    - `spec` · object · **Required** — Token spec.
      - `description` · string · Optional · _0-128 characters_ — Description of the token. Max 128 characters.
      - `expires` · string · **Required** · _format: date-time_ — Date token expires.
      - `issued` · string · **Required** · _format: date-time_ — Date token was issued.
      - `lastUsed` · string or null · **Required** · _format: date_ — Date token was last used on the MK.IO api.
      - `organizationId` · string or null · Optional · _format: uuid_ — ID of the organization that this token allows access to.
      - `permissions` · map from strings to any · Optional — The RBAC capabilities assigned to the token when type is 'restricted'
        - `[any key]` · any — map of additional properties
      - `revoked` · string or null · **Required** · _format: date-time_ — Date token was revoked, or null if not revoked.
      - `revokedBy` · string · Optional — Email of user who revoked this token.
      - `user` · string · **Required** — Email of user the token was issued for.

Example:

```json
{
  "kind": "string",
  "value": [
    {
      "kind": "string",
      "metadata": {
        "JWT": "string",
        "id": "00000000-0000-0000-0000-000000000000",
        "type": "full-access"
      },
      "spec": {
        "description": "string",
        "expires": "2024-01-01T00:00:00Z",
        "issued": "2024-01-01T00:00:00Z",
        "lastUsed": "2024-01-01",
        "organizationId": "00000000-0000-0000-0000-000000000000",
        "permissions": {},
        "revoked": "2024-01-01T00:00:00Z",
        "revokedBy": "string",
        "user": "string"
      }
    }
  ]
}
```

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `management-api` · operationId: `[get]_/api/v1/user/tokens`
